Subject: bug#12971: 24.2.50; mouse-1 in info header lines tooltips

From: Chong Yidong <[email-masked]>
Date: Sat, 24 Nov 2012 15:37:27 +0800

martin rudalics <[email-masked]> writes:

> When with emacs -Q in info I move the mouse to an object on the header
> line I get tooltips like "mouse-1: Go to node ...".  However, mouse-1
> does nothing but select the window here.  This looks like a fallout of:
>
> 2012-06-23  Chong Yidong  <[email-masked]>
>
> 	* info.el (Info-mouse-follow-link): Accept symbol values of
> 	link-args.  Select window; suggested by Gerhard Kahl (Bug#11672).

Actually, from bisecting, I see that this problem first occurs in

  revno: 109214
  committer: martin rudalics <[email-masked]>
  branch nick: trunk
  timestamp: Thu 2012-07-26 10:32:25 +0200
  message:
  In mouse-drag-line don't exit tracking prematurely (Bug#12006).

  * mouse.el (popup-menu): Fix doc-string and re-indent code.
  (mouse-drag-line): Don't exit tracking when a switch-frame or
  switch-window event occurs (Bug#12006).